{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/survey_result/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/survey_result/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_survey_result_overview') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Umfrageergebnis einstellen</span>
        {{ form_widget(surveyResultForm.save, {'label': 'SPEICHERN', 'id': surveyResultForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <p>
                Bitte geben Sie im ersten Schritt den Titel, die Kurzbeschreibung und die Beschreibung der Umfrage ein.
                Im zweiten Schritt können Sie ein Titelbild, das zugehörige PDF-Dokument sowie bei Bedarf Kapitel anlegen.
            </p>
            {{ form_start(surveyResultForm, {'attr': {'id': surveyResultForm.vars.id ~ '_form', 'autocomplete': 'off' }}) }}
            {% include 'configuration/form/survey_result/survey_result_form.html.twig' with {'form': surveyResultForm} only %}
            {{ form_row(surveyResultForm._token) }}
            {{ form_end(surveyResultForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
